#Module-Specific definitions
%define mod_name mod_auth_xradius
%define mod_conf 14_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	0.4.6
Release:	%mkrel 17
Group:		System/Servers
License:	Apache License
URL:		http://www.outoforder.cc/projects/apache/mod_auth_xradius/
Source0:	http://www.outoforder.cc/downloads/mod_auth_xradius/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_auth_xradius-0.4.5-no_ap_prefix.diff
Patch1:		mod_auth_xradius-apu13_fix.diff
Patch2:		mod_auth_xradius-0.4.6-autopoo_fixes.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:  apache-devel >= 2.2.0
BuildRequires:	apr-util-devel >= 1.3.0
BuildRequires:	automake
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_auth_xradius provides high performance authentication against
RFC 2865 RADIUS Servers. 

Features:

 o Supports popular RADIUS Servers including OpenRADIUS,
   FreeRADIUS and commercial servers.
 o Distributed Authentication Cache using apr_memcache.
 o Local Authentication Cache using DBM.
 o Uses standard HTTP Basic Authentication, unlike
 mod_auth_radius which uses cookies for sessions.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1

# lib64 fixes
perl -pi -e "s|/lib\ |/%{_lib}\ |g" m4/apr_memcache.m4
perl -pi -e "s|/lib/|/%{_lib}/|g" m4/apr_memcache.m4
perl -pi -e "s|/lib\b|/%{_lib}|g" m4/apr_memcache.m4

%build
#sh autogen.sh

%if %{mdkversion} >= 200910
cp `aclocal --print-ac-dir`/{libtool,ltoptions,ltsugar,ltversion,lt~obsolete}.m4 m4/
%endif

rm -rf autom4te.cache
rm -f configure
libtoolize --force --copy; aclocal -I m4; autoheader; automake --add-missing --copy --foreign; autoconf

export APR_MEMCACHE_LIBS="`apu-1-config --link-ld`"
export APR_MEMCACHE_CFLAGS="`apu-1-config --includes`"

%configure2_5x --localstatedir=/var/lib \
    --with-apxs=%{_sbindir}/apxs \
    --with-apr-memcache=%{_prefix}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE NOTICE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-17mdv2011.0
+ Revision: 678272
- mass rebuild

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-16mdv2011.0
+ Revision: 627767
- fix build
- don't force the usage of automake1.7

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-15mdv2011.0
+ Revision: 587930
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-14mdv2010.1
+ Revision: 516059
- rebuilt for apache-2.2.15

* Sun Aug 02 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-13mdv2010.0
+ Revision: 407515
- bump release

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-12mdv2010.0
+ Revision: 407347
- fix build again
- bump release
- fix build
- rebuild

* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-10mdv2009.1
+ Revision: 326696
- rediff patches

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-9mdv2009.0
+ Revision: 234695
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-8mdv2009.0
+ Revision: 215852
- added P1 and spec file magic to link against apu 1.3.0
- hard code %%{_localstatedir}/lib to ease backports

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-7mdv2008.1
+ Revision: 181677
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1:0.4.6-6mdv2008.1
+ Revision: 170711
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-5mdv2008.0
+ Revision: 82527
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-4mdv2008.0
+ Revision: 65624
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-3mdv2007.1
+ Revision: 140628
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-2mdv2007.0
+ Revision: 79341
- Import apache-mod_auth_xradius

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-2mdv2007.0
- rebuild

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-1mdk
- 0.4.6

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.5-1mdk
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.4.5-2mdk
- fix deps

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.4.5-1mdk
- initial Mandriva package

